CREATE TABLE atc_offer_term_ent_rels (
    OFFER_TERM_ENT_REL_ID    NUMBER(18, 0),
    ENTITY_NAME              VARCHAR2(800)    NOT NULL,
    ENTITY_ID                NUMBER(18, 0)    NOT NULL,
    PROD_OFFER_TERM_ID       NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    OFFER_TERM_ENT_REL_ID    NUMBER(18, 0),
    ENTITY_NAME              VARCHAR2(800)    NOT NULL,
    ENTITY_ID                NUMBER(18, 0)    NOT NULL,
    PROD_OFFER_TERM_ID       NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_atc_offer_term_ent_rels PRIMARY KEY (OFFER_TERM_ENT_REL_ID, OFFER_TERM_ENT_REL_ID)
);
